tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: using gmake, really!

On Wed, 13 Feb 2008, Matthias Scheler wrote:
Which version of Mac OS X and GNUmake are you actually trying to use?

Mac OS X 10.4.11, which has GNUmake 3.80:

        mini% uname -a
        Darwin mini.local 8.11.1 Darwin Kernel Version 8.11.1: Wed Oct 10 
18:23:28 PDT 2007; root:xnu-792.25.20~1/RELEASE_I386 i386 i386
        mini% gmake --version
        GNU Make 3.81

If someone has a patch that conditionally sets the right variable to use native gmake on leopard (no idea what uname that is!), and not so on tiger, that's fine for me.

I'm not sure about the mapping of Mac OS Version to Darwin (kernel) version.

 - Hubert

Home | Main Index | Thread Index | Old Index